package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttReaBase;
import com.goldenwater.slgc.mapper.AttReaBaseMapper;
import com.goldenwater.slgc.service.ReachService;

/** 河道信息 业务实现 */
@Service
public class ReachServiceImpl implements ReachService {
    @Autowired
    private AttReaBaseMapper attReaBaseMapper;

    @Override
    public List<AttReaBase> selectAttReaBaseList(AttReaBase attReaBase) {
        return attReaBaseMapper.selectAttReaBaseList(attReaBase);
    }

    @Override
    public AttReaBase selectAttReaBaseById(String reaCode) {
        return attReaBaseMapper.selectAttReaBaseById(reaCode);
    }

    @Override
    public int deleteAttReaBaseByIds(String[] reaCodes) {
        return attReaBaseMapper.deleteAttReaBaseByIds(reaCodes);
    }

    @Override
    public int insertAttReaBase(AttReaBase attReaBase) {
        return attReaBaseMapper.insertAttReaBase(attReaBase);
    }

    @Override
    public int updateAttReaBase(AttReaBase attReaBase) {
        return attReaBaseMapper.updateAttReaBase(attReaBase);
    }
}
